OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_Invisibility Class Reference

`#include <StepVisual_Invisibility.hxx>`

Inheritance diagram for StepVisual_Invisibility:

[legend]

## Public Member Functions
Standard_EXPORT | StepVisual_Invisibility ()
| Returns a Invisibility .
virtual Standard_EXPORT void | Init (const Handle(StepVisual_HArray1OfInvisibleItem)&aInvisibleItems)
Standard_EXPORT void | SetInvisibleItems (const Handle(StepVisual_HArray1OfInvisibleItem)&aInvisibleItems)
Standard_EXPORT Handle_StepVisual_HArray1OfInvisibleItem | InvisibleItems () const
Standard_EXPORT StepVisual_InvisibleItem | InvisibleItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbInvisibleItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepVisual_HArray1OfInvisibleItem | invisibleItems

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_Invisibility::StepVisual_Invisibility | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_Invisibility::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepVisual_ContextDependentInvisibility.

virtual Standard_EXPORT void StepVisual_Invisibility::Init | ( | const Handle(StepVisual_HArray1OfInvisibleItem)& | aInvisibleItems | ) | `[virtual]`

| Reimplemented in StepVisual_ContextDependentInvisibility.

Standard_EXPORT Handle_StepVisual_HArray1OfInvisibleItem StepVisual_Invisibility::InvisibleItems | ( |  | ) | const

Standard_EXPORT StepVisual_InvisibleItem StepVisual_Invisibility::InvisibleItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepVisual_Invisibility::NbInvisibleItems | ( |  | ) | const

Standard_EXPORT void StepVisual_Invisibility::SetInvisibleItems | ( | const Handle(StepVisual_HArray1OfInvisibleItem)& | aInvisibleItems | ) |

## Field Documentation

Handle_StepVisual_HArray1OfInvisibleItem StepVisual_Invisibility::invisibleItems`[private]`

The documentation for this class was generated from the following file:

- StepVisual_Invisibility.hxx